Summary:    Utilities to check or manage libvirt integrity
Name:       sphere-libvirt-integrity
Version:    0.1.2
Release:    1%{?dist}.fstec

License:    EULA
URL:        https://www.inferit.ru
Source:     %{name}-%{version}.tar.gz
Source1:    msvsphere-libvirt.rules

Requires:   coreutils
Requires:   /usr/bin/guestfish
Requires:   /usr/bin/xmllint
Requires:   python-unversioned-command
Requires:   /usr/bin/python3
Requires(post):     audit
Requires(postun):   audit

BuildArch:  noarch

%description
Utilities to convert and integrate hosting features

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/libvirt/hooks/hooks.d
mkdir -p %{buildroot}%{_sysconfdir}/audit/rules.d
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_localstatedir}/lib/libvirt-keys
mkdir -p %{buildroot}%{_localstatedir}/log/integrity
install -m 700 -D scripts/libvirt-integrity-hash %{buildroot}%{_bindir}/libvirt-integrity-hash
install -m 700 -D scripts/00.config-check %{buildroot}%{_sysconfdir}/libvirt/hooks/hooks.d/00.config-check
install -m 700 -D scripts/01.integrity-check %{buildroot}%{_sysconfdir}/libvirt/hooks/hooks.d/01.integrity-check
install -m 600 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/audit/rules.d
install -m 700 -D scripts/qemu %{buildroot}%{_sysconfdir}/libvirt/hooks/qemu
install -m 700 -D scripts/libvirt-hook-audit-write %{buildroot}%{_bindir}/libvirt-hook-audit-write

%post
augenrules --load > /dev/null 2>&1 || true

%postun
augenrules --load > /dev/null 2>&1 || true

%files
%doc LICENSE
%dir %{_localstatedir}/lib/libvirt-keys
%dir %{_localstatedir}/log/integrity
%attr(0700, root, root) %{_bindir}/libvirt-integrity-hash
%attr(0700, root, root) %{_bindir}/libvirt-hook-audit-write
%attr(0700, root, root) %{_sysconfdir}/libvirt/hooks/hooks.d/00.config-check
%attr(0700, root, root) %{_sysconfdir}/libvirt/hooks/hooks.d/01.integrity-check
%attr(0700, root, root) %{_sysconfdir}/libvirt/hooks/qemu
%attr(0600, root, root) %{_sysconfdir}/audit/rules.d/msvsphere-libvirt.rules

%changelog
* Wed Feb 12 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.2-1.fstec
- Fixed audit log messages content

* Fri Jan 31 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.1-3.fstec
- no ghost

* Fri Jan 31 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.1-2.fstec
- Fix build requires

* Tue Jan 28 2025 Alexey Berezhok <alexey.berezhok@msvsphere-os.ru> 0.1.1-1.fstec
- Created hooks and utilities

